libset-intspan-perl_1.19-1_all.deb


Advertisement

Description

libset-intspan-perl - module to manage sets of integers

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libset-intspan-perl
Package version 1.19
Package release 1
Package architecture all
Package type deb
Installed size 105 B
Download size 26.05 KB
Official Mirror ftp.br.debian.org
The Set::IntSpan module manages sets of integers.
It is optimized for sets that have long runs of consecutive integers.
These arise, for example, in .newsrc files, which maintain lists of articles.

Alternatives

Package Version Architecture Repository
libset-intspan-perl_1.19-1_all.deb 1.19 all Debian Main
libset-intspan-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libset-intspan-perl_1.19-1_all.deb
Source Package libset-intspan-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libset-intspan-perl deb package:
    # sudo apt-get install libset-intspan-perl

Files

Path
/usr/share/doc/libset-intspan-perl/changelog.Debian.gz
/usr/share/doc/libset-intspan-perl/changelog.gz
/usr/share/doc/libset-intspan-perl/copyright
/usr/share/man/man3/Set::IntSpan.3pm.gz
/usr/share/perl5/Set/IntSpan.pm

Changelog

2013-08-16 - Florian Schlichting <fsfs@debian.org>
libset-intspan-perl (1.19-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 1.19.
* Bump years of upstream copyright.
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0).
* Bump dh compatibility to level 8 (no changes necessary).
* Add myself to uploaders and copyright.
2010-11-13 - gregor herrmann <gregoa@debian.org>
libset-intspan-perl (1.16-1) unstable; urgency=low
* New upstream release.
* Add /me to Uploaders.
2010-11-05 - Nicholas Bamber <nicholas@periapt.co.uk>
libset-intspan-perl (1.15-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Update my email address.
[ Nicholas Bamber ]
* Added myself to Uploaders
* New upstream release
* Upped standards version to 3.9.1
* Refreshed copyright
* Edited short description
2010-06-27 - Ansgar Burchardt <ansgar@43-1.org>
libset-intspan-perl (1.14-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ansgar Burchardt ]
* New upstream release.
* debian/copyright: Update years of copyright.
* debian/copyright: Formatting changes for current DEP-5 proposal.
* Use source format 3.0 (quilt).
* Use tiny debian/rules.
* debian/control: State that this is a Perl module in the description.
* Bump Standards-Version to 3.8.4.
2008-08-16 - Ansgar Burchardt <ansgar@43-1.org>
libset-intspan-perl (1.13-2) unstable; urgency=low
* New Maintainer: Debian Perl Group (Closes: #494598)
* Add myself to Uploaders
* debian/watch: Use dist-based URL
* Refresh debian/rules for debhelper 7
* Convert debian/copyright to proposed machine-readable format
* Add Vcs-* fields for Debian Perl Group SVN repository
2008-08-12 - Anibal Monsalve Salazar <anibal@debian.org>
libset-intspan-perl (1.13-1) unstable; urgency=low
* QA upload.
* New upstream release
* Maintainer is Debian QA Group <packages@qa.debian.org>
* Acknowledge non maintainer upload; closes: #359515
* Add homepage control line
* Add debian/watch
* Fix the following lintian issues:
W: debian-rules-ignores-make-clean-error line 35
W: package-uses-deprecated-debhelper-compat-version 1
W: ancient-standards-version 3.2.1 (current is 3.8.0)
E: clean-should-be-satisfied-by-build-depends debhelper
2006-06-16 - Stephen Quinney <sjq@debian.org>
libset-intspan-perl (1.07-3.1) unstable; urgency=low
* Non-Maintainer Upload
* Removed postinst and prerm as they were only there to handle the, now
deprecated, /usr/doc symlinks, closes: #359515.
* Switched Section to perl to match override
2002-08-30 - Mike Mattice <mattice@debian.org>
libset-intspan-perl (1.07-3) unstable; urgency=low
* Add copyright summary from perl package - Closes: #157648
* Use proper build target - Closes: #157506
* Fix build by overriding PREFIX on install - Closes: #141430
2001-02-21 - Mike Mattice <mattice@debian.org>
libset-intspan-perl (1.07-2) unstable; urgency=low
* Updated for new perl policy.
2000-12-02 - Mike Mattice <mattice@debian.org>
libset-intspan-perl (1.07-1) unstable; urgency=low
* Initial Release. Closes: #78772.

See Also

Package Description
libset-nestedgroups-perl_0.01-2_all.deb Simple implementation of nested groups
libset-object-perl_1.34-2+b1_amd64.deb collection of objects without duplications
libset-scalar-perl_1.29-1_all.deb Perl interface for operations on finite sets
libset-tiny-perl_0.02-1_all.deb Simple sets of strings
libsetools-java_3.3.8-3.1_all.deb SETools Java bindings (architecture-independent)
libsetools-jni_3.3.8-3.1_amd64.deb SETools Java bindings (architecture-dependent)
libsetools-tcl_3.3.8-3.1_amd64.deb SETools Tcl bindings
libsetup-ruby1.8_3.4.1-7_all.deb the setup.rb install tool for Ruby - transition package
libsexplib-camlp4-dev_111.25.00-1_amd64.deb automated conversions between OCaml-values and S-expressions
libsexy-dev_0.1.11-2.1_amd64.deb collection of additional GTK+ widgets - header files
libsexy-doc_0.1.11-2.1_all.deb Collection of additional GTK+ widgets - documentation files
libsexy2_0.1.11-2.1_amd64.deb collection of additional GTK+ widgets - library
libsezpoz-java-doc_1.9-2_all.deb Documentation for SezPoz
libsezpoz-java_1.9-2_all.deb Lightweight library for modular service lookups
libsfml-audio2_2.1+dfsg2-1+b2_amd64.deb Simple and Fast Multimedia Library - Audio part
Advertisement
Advertisement